import { TranslationDict } from '../types';

export const enUS: TranslationDict = {
  nav: {
    title: 'Ambient Light Control',
    info: 'System Info',
    displays: 'Display Info',
    ledConfiguration: 'LED Configuration',
    whiteBalance: 'White Balance',
    ledTest: 'LED Test',
  },
  
  common: {
    version: 'Version',
    primary: 'Primary',
    save: 'Save',
    cancel: 'Cancel',
    reset: 'Reset',
    close: 'Close',
    fullscreen: 'Fullscreen',
    exitFullscreen: 'Exit Fullscreen',
    loading: 'Loading...',
    error: 'Error',
    success: 'Success',
    warning: 'Warning',
    confirm: 'Confirm',
    delete: 'Delete',
    edit: 'Edit',
    add: 'Add',
    remove: 'Remove',
    enable: 'Enable',
    disable: 'Disable',
    start: 'Start',
    stop: 'Stop',
    test: 'Test',
    apply: 'Apply',
    refresh: 'Refresh',
    realtime: 'Real-time',
  },
  
  info: {
    title: 'System Information',
    boardInfo: 'Device Information',
    systemInfo: 'System Information',
    deviceName: 'Device Name',
    ipAddress: 'IP Address',
    macAddress: 'MAC Address',
    firmwareVersion: 'Firmware Version',
    hardwareVersion: 'Hardware Version',
    uptime: 'Uptime',
    status: 'Status',
    connected: 'Connected',
    disconnected: 'Disconnected',
    lastSeen: 'Last Seen',
    port: 'Port',
    latency: 'Latency',
    hostname: 'Hostname',
    deviceCount: 'Device Count',
    noDevicesFound: 'No Devices Found',
    checkConnection: 'Please check device connection status',
  },
  
  displays: {
    title: 'Display Status',
    count: 'Display Count',
    noDisplays: 'No displays detected',
    checkConnection: 'Please check display connection',
    displayInfo: 'Display Information',
    resolution: 'Resolution',
    refreshRate: 'Refresh Rate',
    colorDepth: 'Color Depth',
    isPrimary: 'Primary Display',
    position: 'Position',
    size: 'Size',
    scaleFactor: 'Scale Factor',
    lastModified: 'Last Modified',
    displayCount: 'Display Count',
    noDisplaysFound: 'No displays detected',
    brightnessSettings: 'Brightness Settings',
    currentBrightness: 'Current Brightness',
    maxBrightness: 'Max Brightness',
    minBrightness: 'Min Brightness',
    contrastSettings: 'Contrast Settings',
    currentContrast: 'Current Contrast',
    maxContrast: 'Max Contrast',
    minContrast: 'Min Contrast',
    modeSettings: 'Mode Settings',
    currentMode: 'Current Mode',
    maxMode: 'Max Mode',
    minMode: 'Min Mode',
  },
  
  ledConfig: {
    title: 'LED Strip Configuration',
    displaySelection: 'Display Selection',
    ledStripConfig: 'LED Strip Configuration',
    ledCount: 'LED Count',
    ledType: 'LED Type',
    position: 'Position',
    top: 'Top',
    bottom: 'Bottom',
    left: 'Left',
    right: 'Right',
    preview: 'Preview',
    configuration: 'Configuration',
    sorter: 'Sorter',
    moveUp: 'Move Up',
    moveDown: 'Move Down',
    reverse: 'Reverse',
    rgb: 'RGB',
    rgbw: 'RGBW',
    segments: 'Segments',
    totalLeds: 'Total LEDs',
    saveConfig: 'Save Configuration',
    loadConfig: 'Load Configuration',
    stripSorting: 'LED Strip Sorting',
    realtimePreview: 'Real-time Preview',
    sortingTip: 'Tip: Drag LED strip segments to adjust order, double-click to reverse direction',
    displayConfiguration: 'Display Configuration',
    visualEditor: 'Visual Editor',
    displayTip: 'Tip: Hover over displays for detailed information, use control panel below to adjust LED count',
    ledCountControl: 'LED Count Control',
    realtimeAdjustment: 'Real-time Adjustment',
    decreaseLedCount: 'Decrease LED Count',
    increaseLedCount: 'Increase LED Count',
    display: 'Display',
    controlTip: 'Tip: Click +/- buttons or input values directly to adjust LED count (Range: 0-1000)',
  },
  
  whiteBalance: {
    title: 'White Balance Adjustment',
    colorCalibration: 'Color Calibration',
    redChannel: 'Red (R)',
    greenChannel: 'Green (G)',
    blueChannel: 'Blue (B)',
    whiteChannel: 'White (W)',
    brightness: 'Brightness',
    temperature: 'Temperature',
    resetToDefault: 'Reset to Default',
    fullscreenMode: 'Fullscreen Mode',
    normalMode: 'Normal Mode',
    instructions: 'Instructions',
    helpText: 'Adjust RGB values to match screen colors with actual LED strip colors',
    compareColors: 'Compare Colors',
    adjustValues: 'Adjust Values',
    dragToMove: 'Drag to Move Panel',
    back: 'Back',
    colorTest: 'Color Test',
    clickToTest: 'Click to Test',
    colorTestTip: 'Tip: Click color blocks for single color test, click again to return to multi-color mode',
    rgbAdjustment: 'RGB Adjustment',
    realtimeAdjustment: 'Real-time Adjustment',
    usageInstructions: 'White Balance Adjustment Instructions',
    recommendedMethod: '🎯 Recommended Method:',
    adjustmentTips: '🔧 Adjustment Tips:',
    comparisonMethod: '📋 Comparison Method:',
    fullscreenTip: 'Click "Fullscreen" button above to enter fullscreen mode',
    dragTip: 'Color strips will be displayed at screen edges in fullscreen mode',
    redStrong: 'Red too strong: Lower R value to reduce red component in LEDs',
    greenStrong: 'Green too strong: Lower G value to reduce green component in LEDs',
    blueStrong: 'Blue too strong: Lower B value to reduce blue component in LEDs',
    whiteYellow: 'White appears yellow: Increase B value, decrease R/G values',
    whiteBlue: 'White appears blue: Decrease B value, increase R/G values',
    whiteComparison: 'Focus on white areas, ensure LED white light matches screen white',
    colorComparison: 'Check color areas, ensure LED color saturation is appropriate',
    environmentTest: 'Test under different ambient lighting to ensure stable results',
    resetNote: 'Click "Reset" button to restore default values after adjustment',
    fullscreenComparisonTip: 'Compare screen edge colors with LED strips, adjust RGB sliders to match colors',
    draggable: 'Draggable',
    exitFullscreen: 'Exit Fullscreen',
    notEnabled: 'Not Enabled',
  },
  
  ledTest: {
    title: 'LED Strip Test',
    testEffects: 'Test Effects',
    staticColor: 'Static Color',
    rainbow: 'Rainbow',
    breathing: 'Breathing',
    wave: 'Wave',
    chase: 'Chase',
    twinkle: 'Twinkle',
    fire: 'Fire',
    speed: 'Speed',
    brightness: 'Brightness',
    color: 'Color',
    startTest: 'Start Test',
    stopTest: 'Stop Test',
    testRunning: 'Test Running',
    testStopped: 'Test Stopped',
    selectEffect: 'Select Effect',
    effectSettings: 'Effect Settings',
    flowingRainbow: 'Flowing Rainbow',
    flowingRainbowDesc: 'Rainbow flowing light for testing LED strip direction',
    groupCounting: 'Group Counting',
    groupCountingDesc: 'Different colors for every ten LEDs to quickly count LED quantity',
    singleScan: 'Single Scan',
    singleScanDesc: 'Light up each LED individually for precise position testing',
    breathingDesc: 'Breathing effect for the entire LED strip to test overall brightness',
  },
  
  errors: {
    failedToLoad: 'Failed to load',
    failedToSave: 'Failed to save',
    failedToConnect: 'Failed to connect',
    invalidConfiguration: 'Invalid configuration',
    deviceNotFound: 'Device not found',
    networkError: 'Network error',
    unknownError: 'Unknown error',
  },
};
