import { TranslationDict } from '../types';

export const zhCN: TranslationDict = {
  nav: {
    title: '环境光控制',
    info: '基本信息',
    displays: '显示器信息',
    ledConfiguration: '灯条配置',
    whiteBalance: '白平衡',
    ledTest: '灯带测试',
  },
  
  common: {
    version: '版本',
    primary: '主要',
    save: '保存',
    cancel: '取消',
    reset: '重置',
    close: '关闭',
    fullscreen: '全屏',
    exitFullscreen: '退出全屏',
    loading: '加载中...',
    error: '错误',
    success: '成功',
    warning: '警告',
    confirm: '确认',
    delete: '删除',
    edit: '编辑',
    add: '添加',
    remove: '移除',
    enable: '启用',
    disable: '禁用',
    start: '开始',
    stop: '停止',
    test: '测试',
    apply: '应用',
    refresh: '刷新',
    realtime: '实时',
  },
  
  info: {
    title: '基本信息',
    boardInfo: '设备信息',
    systemInfo: '系统信息',
    deviceName: '设备名称',
    ipAddress: 'IP地址',
    macAddress: 'MAC地址',
    firmwareVersion: '固件版本',
    hardwareVersion: '硬件版本',
    uptime: '运行时间',
    status: '状态',
    connected: '已连接',
    disconnected: '已断开',
    lastSeen: '最后连接',
    port: '端口',
    latency: '延迟',
    hostname: '主机名',
    deviceCount: '设备总数',
    noDevicesFound: '未发现设备',
    checkConnection: '请检查设备连接状态',
  },
  
  displays: {
    title: '显示器状态',
    count: '显示器数量',
    noDisplays: '未检测到显示器',
    checkConnection: '请检查显示器连接状态',
    displayInfo: '显示器信息',
    resolution: '分辨率',
    refreshRate: '刷新率',
    colorDepth: '色深',
    isPrimary: '主显示器',
    position: '位置',
    size: '尺寸',
    scaleFactor: '缩放比例',
    lastModified: '最后修改',
    displayCount: '显示器数量',
    noDisplaysFound: '未检测到显示器',
    brightnessSettings: '亮度设置',
    currentBrightness: '当前亮度',
    maxBrightness: '最大亮度',
    minBrightness: '最小亮度',
    contrastSettings: '对比度设置',
    currentContrast: '当前对比度',
    maxContrast: '最大对比度',
    minContrast: '最小对比度',
    modeSettings: '模式设置',
    currentMode: '当前模式',
    maxMode: '最大模式',
    minMode: '最小模式',
  },
  
  ledConfig: {
    title: '灯条配置',
    displaySelection: '显示器选择',
    ledStripConfig: '灯条配置',
    ledCount: '灯珠数量',
    ledType: '灯珠类型',
    position: '位置',
    top: '顶部',
    bottom: '底部',
    left: '左侧',
    right: '右侧',
    preview: '预览',
    configuration: '配置',
    sorter: '排序器',
    moveUp: '上移',
    moveDown: '下移',
    reverse: '反转',
    rgb: 'RGB',
    rgbw: 'RGBW',
    segments: '段数',
    totalLeds: '总灯珠数',
    saveConfig: '保存配置',
    loadConfig: '加载配置',
    stripSorting: '灯条排序',
    realtimePreview: '实时预览',
    sortingTip: '提示：拖拽灯条段落来调整顺序，双击可反转方向',
    displayConfiguration: '显示器配置',
    visualEditor: '可视化编辑',
    displayTip: '提示：悬停显示器查看详细信息，使用下方控制面板调整LED数量',
    ledCountControl: 'LED数量控制',
    realtimeAdjustment: '实时调整',
    decreaseLedCount: '减少LED数量',
    increaseLedCount: '增加LED数量',
    display: '显示器',
    controlTip: '提示：点击 +/- 按钮或直接输入数值来调整LED数量（范围：0-1000）',
  },
  
  whiteBalance: {
    title: '白平衡调节',
    colorCalibration: '颜色校准',
    redChannel: '红色 (R)',
    greenChannel: '绿色 (G)',
    blueChannel: '蓝色 (B)',
    whiteChannel: '白色 (W)',
    brightness: '亮度',
    temperature: '色温',
    resetToDefault: '重置为默认值',
    fullscreenMode: '全屏模式',
    normalMode: '普通模式',
    instructions: '使用说明',
    helpText: '调整RGB值以匹配屏幕颜色与LED灯条的实际颜色',
    compareColors: '比较颜色',
    adjustValues: '调整数值',
    dragToMove: '拖拽移动面板',
    back: '返回',
    colorTest: '颜色测试',
    clickToTest: '点击测试',
    colorTestTip: '提示：点击颜色块进行单色测试，再次点击返回多色模式',
    rgbAdjustment: 'RGB调节',
    realtimeAdjustment: '实时调节',
    usageInstructions: '白平衡调节使用说明',
    recommendedMethod: '🎯 推荐使用方法：',
    adjustmentTips: '🔧 调节技巧：',
    comparisonMethod: '📋 对比方法：',
    fullscreenTip: '点击上方"全屏"按钮进入全屏模式',
    dragTip: '全屏模式下屏幕边缘会显示彩色条带',
    redStrong: '红色偏强：降低R值，LED会减少红色成分',
    greenStrong: '绿色偏强：降低G值，LED会减少绿色成分',
    blueStrong: '蓝色偏强：降低B值，LED会减少蓝色成分',
    whiteYellow: '白色发黄：适当提高B值，降低R/G值',
    whiteBlue: '白色发蓝：适当降低B值，提高R/G值',
    whiteComparison: '重点观察白色区域，确保LED白光与屏幕白色一致',
    colorComparison: '检查彩色区域，确保LED颜色饱和度合适',
    environmentTest: '在不同环境光下测试，确保效果稳定',
    resetNote: '调节完成后可点击"重置"按钮恢复默认值',
    fullscreenComparisonTip: '对比屏幕边缘颜色与LED灯条，调节RGB滑块使颜色一致',
    draggable: '可拖拽',
    exitFullscreen: '退出全屏',
    notEnabled: '暂未启用',
  },
  
  ledTest: {
    title: '灯带测试',
    testEffects: '测试效果',
    staticColor: '静态颜色',
    rainbow: '彩虹',
    breathing: '呼吸',
    wave: '波浪',
    chase: '追逐',
    twinkle: '闪烁',
    fire: '火焰',
    speed: '速度',
    brightness: '亮度',
    color: '颜色',
    startTest: '开始测试',
    stopTest: '停止测试',
    testRunning: '测试运行中',
    testStopped: '测试已停止',
    selectEffect: '选择效果',
    effectSettings: '效果设置',
    flowingRainbow: '流光效果',
    flowingRainbowDesc: '彩虹色流光，用于测试灯带方向',
    groupCounting: '十个一组计数',
    groupCountingDesc: '每十个LED一组不同颜色，用于快速计算灯珠数量',
    singleScan: '单色扫描',
    singleScanDesc: '单个LED依次点亮，用于精确测试每个LED位置',
    breathingDesc: '整条灯带呼吸效果，用于测试整体亮度',
  },
  
  errors: {
    failedToLoad: '加载失败',
    failedToSave: '保存失败',
    failedToConnect: '连接失败',
    invalidConfiguration: '配置无效',
    deviceNotFound: '设备未找到',
    networkError: '网络错误',
    unknownError: '未知错误',
  },
};
